Page MenuHomePhabricator

New server for labs dns recursor
Closed, ResolvedPublic

Description

In order to implement something akin to split-horizon (T95288) I need to set up a separate recursor and auth DNS server for the new designate/pdns/mysql setup. The simplest way to do this is with separate hardware due to resolv.conf not being able to specify a port number.

Eventually we'll want doubles for everything, but one is a good start. It should probably live in the labs-support vlan if there's room.

Event Timeline

Andrew created this task.May 14 2015, 9:06 PM
Andrew assigned this task to RobH.
Andrew raised the priority of this task from to Needs Triage.
Andrew updated the task description. (Show Details)
Andrew added a subscriber: Andrew.
Restricted Application added a project: acl*sre-team. · View Herald TranscriptMay 14 2015, 9:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Hold off on this; Mark thinks we can do this in place on the existing server.

ok, I am back to thinking this is the right way forward. So, Rob, over to you.

Andrew triaged this task as Medium priority.May 28 2015, 3:48 PM
Andrew set Security to None.
mark added a subscriber: mark.May 28 2015, 3:59 PM

So PowerDNS supports multiple instances I think. Wouldn't this be easy to do on a separate IP? From a resources perspective, it doesn't need another full server at all...

that's probably fine, I will try.

RobH reassigned this task from RobH to Andrew.May 28 2015, 4:34 PM
RobH added a subscriber: RobH.

Since this is now goign to be a test with a second IP, I'm pulling the hardware-requests project for now. If this goes back to needing new metal, just re-append it back on.

Andrew closed this task as Resolved.Jun 1 2015, 3:27 PM

Done in place, no problems.